OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepShape

# StepShape_GeometricSetSelect Class Reference

`#include <StepShape_GeometricSetSelect.hxx>`

Inheritance diagram for StepShape_GeometricSetSelect:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepShape_GeometricSetSelect ()
| Returns a GeometricSetSelect SelectType .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a GeometricSetSelect Kind Entity that is : 1 -> Point 2 -> Curve 3 -> Surface 0 else .
Standard_EXPORT Handle_StepGeom_Point | Point () const
| returns Value as a Point (Null if another type)
Standard_EXPORT Handle_StepGeom_Curve | Curve () const
| returns Value as a Curve (Null if another type)
Standard_EXPORT Handle_StepGeom_Surface | Surface () const
| returns Value as a Surface (Null if another type)

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_GeometricSetSelect::StepShape_GeometricSetSelect | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer StepShape_GeometricSetSelect::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

Standard_EXPORT Handle_StepGeom_Curve StepShape_GeometricSetSelect::Curve | ( |  | ) | const

void StepShape_GeometricSetSelect::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepShape_GeometricSetSelect::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepShape_GeometricSetSelect::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Handle_StepGeom_Point StepShape_GeometricSetSelect::Point | ( |  | ) | const

Standard_EXPORT Handle_StepGeom_Surface StepShape_GeometricSetSelect::Surface | ( |  | ) | const

The documentation for this class was generated from the following file:

- StepShape_GeometricSetSelect.hxx